Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::HScrollbar Class Reference

A GtkHScrollbar C++ wrapper class. More...

`#include <xfc/gtk/scrollbar.hh>`

Inheritance diagram for Xfc::Gtk::HScrollbar:

List of all members.

## Public Member Functions

Constructors

- HScrollbar ()
    Construct a new horizontal scrollbar; the scrollbar will create an adjustment for you.
- HScrollbar (Adjustment &adjustment)
    Construct a new horizontal scrollbar with the specified adjustment.
- virtual ~HScrollbar ()
    Destructor.

Accessors

- GtkHScrollbar * gtk_hscrollbar () const
    Get a pointer to the GtkHScrollbar structure.
- operator GtkHScrollbar * () const
    Conversion operator; safely converts a HScrollbar to a GtkHScrollbar pointer.

## Protected Member Functions

Constructors

- HScrollbar (GtkHScrollbar *hscrollbar, bool owns_reference=false)
    Construct a new HScrollbar from an existing GtkHScrollbar.

## Detailed Description

A GtkHScrollbar C++ wrapper class.

The HScrollbar widget is a widget arranged horizontally creating a scrollbar. See Scrollbar for details on scrollbars. An Adjustment may be added to handle the adjustment of the scrollbar.

See also: the Range Widget HOWTO and example.

## Constructor & Destructor Documentation

Xfc::Gtk::HScrollbar::HScrollbar | ( | GtkHScrollbar * | hscrollbar,
|  | bool | owns_reference = `false`
| ) | `[explicit, protected]`

Construct a new HScrollbar from an existing GtkHScrollbar.

Parameters:

  | hscrollbar | A pointer to a GtkScrollbar.
  | owns_reference | Set false if the initial reference count is floating, set true if it's not.

The hscrollbar can be a newly created GtkHScrollbar or an existing GtkHScrollbar (see G::Object::Object).

Xfc::Gtk::HScrollbar::HScrollbar | ( | Adjustment & | adjustment | ) | `[explicit]`

Construct a new horizontal scrollbar with the specified adjustment.

Parameters:

  | adjustment | The Adjustment to use.

The documentation for this class was generated from the following file:

- scrollbar.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3